<!DOCTYPE html>
<html xmlns:th="www.thymeleaf.org">
<head>
    <title>Nouveau Stock</title>
</head>
<body>
<div th:include="header.html"></div>
</br>
<div class="col-md-8 col-md-offset-2">
    <div class="panel panel-info">
        <div class="panel-heading">
            <h2 class="panel-title text-center">Ajout et Update de Stock</h2></div>
        <div class="panel-body">

            <form class="form-horizontal" method="POST" th:action="@{/stock/add}"
                  th:object="${stock}">
                <input class="form-control" th:field="*{id}" type="hidden"/>

                <div class="form-group">
                    <label class="control-label col-md-2">Quantite</label>
                    <div class="col-md-10">
                        <input class="form-control" th:field="*{quantite}" type="number"/>
                        <span class="text-danger" th:errors="*{quantite}"></span>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel3">Produit</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel3" th:field="*{produit.id}">
                            <option th:each="produit:${produits}"
                                    th:text="${produit.categorie.nom}+' '+${produit.nom}"
                                    th:value="${produit.id}"></option>
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-2" for="sel2">Magasin</label>
                    <div class="col-md-10">
                        <select class="form-control" id="sel2" th:field="*{magasin.id}">
                            <option th:each="magasin:${magasins}" th:text="${magasin.nom}+' '+${magasin.adresse}"
                                    th:value="${magasin.id}"></option>
                        </select>
                    </div>
                </div>


                <div class="text-center">
                    <button class="btn btn-primary"><span class="glyphicon glyphicon-save"></span> Sauvegarder</button>
                </div>
            </form>
        </div>
    </div>
</div>

</body>
</html>